<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/mocha.css">
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="js/mocha.js"></script>

    <script>
        mocha.setup('bdd');
    </script>

    <script src="js/chai.js"></script>
    <script>
        var assert = chai.assert;
    </script>
</head>
<body>

<script>
    function pow(x, n) {
        if (Math.round(n) != n) {
            return NaN;
        }

        let result = x;
        for (let i = 1; i < n; i++) {
            result *= i;
        }
        return result;
    }
</script>
<script src="js/test.js"></script>
<div id="mocha"></div>
<script>
    mocha.run();
</script>
</body>

</html>